<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{FD7366CA-5C0C-4446-9D46-1418B260CBD3}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>MWS.Library</RootNamespace>
    <AssemblyName>MWS.Library</AssemblyName>
    <TargetFrameworkVersion>v4.6</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="CommonServiceLocator, Version=2.0.2.0, Culture=neutral, PublicKeyToken=489b6accfaf20ef0, processorArchitecture=MSIL">
      <HintPath>..\packages\CommonServiceLocator.2.0.2\lib\net45\CommonServiceLocator.dll</HintPath>
    </Reference>
    <Reference Include="GalaSoft.MvvmLight, Version=5.4.1.0, Culture=neutral, PublicKeyToken=e7570ab207bcb616, processorArchitecture=MSIL">
      <HintPath>..\packages\MvvmLightLibs.5.4.1.1\lib\net45\GalaSoft.MvvmLight.dll</HintPath>
    </Reference>
    <Reference Include="GalaSoft.MvvmLight.Extras, Version=5.4.1.0, Culture=neutral, PublicKeyToken=669f0b5e8f868abf, processorArchitecture=MSIL">
      <HintPath>..\packages\MvvmLightLibs.5.4.1.1\lib\net45\GalaSoft.MvvmLight.Extras.dll</HintPath>
    </Reference>
    <Reference Include="GalaSoft.MvvmLight.Platform, Version=5.4.1.0, Culture=neutral, PublicKeyToken=5f873c45e98af8a1, processorArchitecture=MSIL">
      <HintPath>..\packages\MvvmLightLibs.5.4.1.1\lib\net45\GalaSoft.MvvmLight.Platform.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.12.0.3\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="PresentationFramework" />
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Management" />
    <Reference Include="System.Web" />
    <Reference Include="System.Windows.Interactivity, Version=4.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\packages\MvvmLightLibs.5.4.1.1\lib\net45\System.Windows.Interactivity.dll</HintPath>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Common\ClassOperation.cs" />
    <Compile Include="Common\Command.cs" />
    <Compile Include="Common\Computer.cs" />
    <Compile Include="Common\Configuration.cs" />
    <Compile Include="Common\Constants.cs" />
    <Compile Include="Common\CustomAttributes\UnitSignAttribute.cs" />
    <Compile Include="Common\Executer.cs" />
    <Compile Include="Common\Helper\FileHelper.cs" />
    <Compile Include="Common\Helper\IniFile.cs" />
    <Compile Include="Common\Helper\ZipTools.cs" />
    <Compile Include="Common\Generator\GeneratorToModelClass.cs" />
    <Compile Include="Common\Generator\GeneratorTools.cs" />
    <Compile Include="Common\Generator\IGeneratorToClass.cs" />
    <Compile Include="Common\Generator\TableStruct.cs" />
    <Compile Include="Common\Guard.cs" />
    <Compile Include="Common\KeyAndValue.cs" />
    <Compile Include="Common\LogHelper.cs" />
    <Compile Include="Common\MD5Poxy\CEncoder.cs" />
    <Compile Include="Common\Model\PageData.cs" />
    <Compile Include="Common\Resources\DefaultErrorMessages.cs" />
    <Compile Include="Common\ResultModel.cs" />
    <Compile Include="Common\Tool.cs" />
    <Compile Include="Common\TranByte.cs" />
    <Compile Include="Common\TypeExtension.cs" />
    <Compile Include="Common\ValidationRules\NotEmptyValidationRule.cs" />
    <Compile Include="Enums\AlertType.cs" />
    <Compile Include="Enums\DisplayType.cs" />
    <Compile Include="Enums\EnumConverter.cs" />
    <Compile Include="Enums\EnumEncodingType.cs" />
    <Compile Include="Enums\EnumHttpMode.cs" />
    <Compile Include="Enums\GatewayType.cs" />
    <Compile Include="Enums\GroupType.cs" />
    <Compile Include="Enums\MecType.cs" />
    <Compile Include="Enums\ModbusDataType.cs" />
    <Compile Include="Enums\PLCDataType.cs" />
    <Compile Include="Enums\TagType.cs" />
    <Compile Include="Enums\UnitType.cs" />
    <Compile Include="Module\Authority.cs" />
    <Compile Include="Module\GetEnumAttrbute.cs" />
    <Compile Include="Common\Model\KeyAndValue.cs" />
    <Compile Include="Module\ModuleAttribute.cs" />
    <Compile Include="Module\ModuleGroup.cs" />
    <Compile Include="Module\ModuleInfo.cs" />
    <Compile Include="Common\Model\NameAndValue.cs" />
    <Compile Include="Module\PageInfo.cs" />
    <Compile Include="Module\RegisterAttribute.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>